package main

import (
	"fmt"
	"strconv"
)

func main() {
	i, err := strconv.ParseInt("-42", 0, 64)
	fmt.Println(i)

	if err != nil {
		panic(err)
	}

	x, err := strconv.ParseInt("0x2A", 0, 64)
	fmt.Println(x)

	if err != nil {
		panic(err)
	}

	u, err := strconv.ParseUint("42", 0, 64)
	fmt.Println(u)

	if err != nil {
		panic(err)
	}
	f, err := strconv.ParseFloat("42.234", 64)
	fmt.Println(f)

	if err != nil {
		panic(err)
	}

	a, err := strconv.Atoi("42")
	fmt.Println(a)

	if err != nil {
		panic(err)
	}

}
